import c4d
from c4d import bitmaps, documents


if c4d.CheckIsRunning(c4d.CHECKISRUNNING_EXTERNALRENDERING)==False:
    
    doc = documents.GetActiveDocument()
    ard = doc.GetActiveRenderData()
    rd = ard.GetData()
    
    rd[c4d.RDATA_FRAMEFROM]=doc.GetTime() 
    startFr = doc.GetTime().GetFrame(doc.GetFps())
    print("startFrame: ",startFr)
    myFr = startFr
    #---------------------------------------

    endFr = 400  #Enter end Frame

    #---------------------------------------
    if endFr>myFr:
        rd[c4d.RDATA_FRAMEFROM]=doc.GetTime()
        rd[c4d.RDATA_FRAMETO]=doc.GetTime()
        ard.SetData(rd)
        doc.SetActiveRenderData(ard)
        c4d.CallCommand(12414)   #GoToNextFrame
        c4d.EventAdd()
        c4d.CallCommand(12099)   #StartRender    